Name:             kpolynome
#Version          0.1-2   second upstream release
Version:          0.1.2
Release:          35%{?dist}
Summary:          A polynome calculation program

License:          GPLv2
Group:            Applications/Engineering
URL:              http://sourceforge.net/projects/%{name}
Source:           http://downloads.sourceforge.net/project/kpolynome/Source/0.1-2/%{name}-0.1-2.tar.gz
Patch0:           kpolynome-0.1-2-desktop.patch
Patch1:           %{name}-%{version}-autotools.patch
Patch2:           kpolynome-0.1-gcc43.patch
Patch3:           kpolynome-configure.patch

BuildRequires:    automake libtool
BuildRequires:    kdelibs3-devel, desktop-file-utils


%description
KPolynome is a program to calculate mathematical polynomes
based on given data coordinates.

%prep
%setup -q -n %{name}-0.1

%patch0 -p0 -b %{name}.desktop
# fix for autoconf >= 2.6 & automake >= 1.13 on admin/cvs.sh
%patch1 -p0 -b .autotools
%patch2 -p1 -b .gcc43

%{__make} -f admin/Makefile.common cvs

%patch3 -p0 -b .orig

%build
%configure --disable-rpath \
  --with-qt-dir=%{_libdir}/qt-3.3 \
  --with-qt-includes=%{_libdir}/qt-3.3/include \
  --with-qt-libraries=%{_libdir}/qt-3.3/lib
%{__make} %{?_smp_mflags}

%install
%{__make} DESTDIR=%{buildroot} install
%{__rm} -rf doc/{en,hu}/Makefile*
chmod 644 {AUTHORS,ChangeLog,COPYING,NEWS}
chmod 644 src/{drawwidget.*,maindialog.*,maindlg.ui.h,matdata.*,curvedialog.*,main.cpp,curvedlg.ui.h}
chmod 644 doc/{en,hu}/index.docbook

# Fix absolute symlink
%{__rm} -f %{buildroot}%{_docdir}/HTML/??/%{name}/common

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
  --vendor fedora             \
%endif
  --remove-category "Science"                    \
  --delete-original                              \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applnk/Edutainment/Mathematics/%{name}.desktop

%{__rm} -rf %{buildroot}%{_docdir}/HTML/

#No translations

%files
%doc AUTHORS COPYING ChangeLog TODO doc/en doc/hu
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%if 0%{?fedora} && 0%{?fedora} < 19
%{_datadir}/applications/fedora-%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif
%{_datadir}/icons/hicolor/??x??/apps/%{name}.png

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.2-34
- Remove obsolete scriptlets

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.2-28
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jun 18 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 0.1.2-26
- Update autotools patch for automake-1.14 (#1107057)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1.2-23
- Remove vendor prefix from desktop files in F19+ https://fedorahosted.org/fesco/ticket/1077

* Mon Feb 25 2013 Mat Booth <fedora@matbooth.co.uk> - 0.1.2-22
- Update patch for latest version of automake

* Mon Feb 25 2013 Mat Booth <fedora@matbooth.co.uk> - 0.1.2-21
- Tell configure where Qt 3 is, fixes FTBFS rhbz #914118

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 28 2011 Mat Booth <fedora@matbooth.co.uk> - 0.1.2-17
- Fix FTBFS bug #715816

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Sep 05 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.1.2-15
- Fixed for 511534 FTBFS kpolynome-0.1.2-13.fc11
- Improved Source url

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 31 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.1.2-12
- gcc43 patch (#434028)

* Fri Aug 24 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.1.2-10
- mass rebuild for fedora 8 - BuildID

* Sat Feb 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.1.2-9
- Rebuild for FC-7 devel with autotools patched

* Sat Feb 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.1.2-8
- rebuilt and fixed duplicates in the kmenu

* Mon Sep 11 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-7
- Rebuild for FC-6 devel

* Sat Aug 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-6
- Replaced $$RPM_BUILD_ROOT by %%{buildroot}
- Removed requires: kdelibs

* Sat Aug 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-5
- Removed useless Makefiles in doc/{en,hu}

* Fri Aug 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-4
- Restored HTML documents

* Fri Aug 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-3
- Fixed script-without-shellbang for kpolynome-debuginfo
- Used update-desktop-database in %%post and %%postun
- Fixed xcircuit.desktop

* Sun Aug 20 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-2
- Added autoconf and automake as BRs.
- Owned proper directories in %%files
- Fixed rpmlint issues

* Sun Aug 13 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-1
- initial package
